Subject: bug#28522: Cannot upgrade due to "guix pull" errors

From: Efraim Flashner <[email-masked]>
Date: Sun, 24 Sep 2017 21:41:30 +0300

On Wed, Sep 20, 2017 at 01:08:59PM +1000, Adam Bolte wrote:
> Hi there,
> 
> I'm running Guix 0.10.0 on a Debian stretch box, and I'd like to
> upgrade. The box had not been booted for quite some time, hence the
> version is somewhat old.
> 
> Running `guix pull`, I get the following:
> 
> 
> Starting download of /tmp/guix-file.k6X14m
> From http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
>  master.tar.gz                              628KiB/s 00:22 | 13.6MiB transferred
> unpacking '/gnu/store/i17ynp73h182q1n72a6nqsyxk32fkhhr-guix-latest.tar.gz'...
> Your installation is too old and lacks a 'guile2.0-git' package.
> Please upgrade to an intermediate version first, for instance with:
> 
>   guix pull --url=https://git.savannah.gnu.org/cgit/guix.git/snapshot/v0.13.0.tar.gz
> 
> 
> Unfortunately, the suggested command fails as follows:
> 
...snip
>
> From http://prdownloads.sourceforge.net/boost/boost_1_60_0.tar.bz2...
> following redirection to `http://downloads.sourceforge.net/project/boost/boost/1.60.0/boost_1_60_0.tar.bz2'...
> following redirection to `https://nchc.dl.sourceforge.net/project/boost/boost/1.60.0/boost_1_60_0.tar.bz2'...
> ;;; Failed to autoload make-session in (gnutls):
> ;;; ERROR: missing interface for module (gnutls)
> ERROR: In procedure module-lookup: Unbound variable: make-session
> 

0.10.0 is quite old. Based on the error you're missing gnutls as
required for getting sources from https locations. I would check the
output of:

guix package -A gnutls

and then try either gnutls or guile-gnutls in the following command:

guix environment --ad-hoc guile-gnutls -- guix pull --url=https://...v0.13.0.tar.gz

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted